#append this to module path so we can load from the parent directory
import os
import sys
from scaffold import web
from scaffold.loaders import load


class page:
    name = __name__
    title = 'Review of "App Accomplished"'
    tags = 'review', 'books'
    intro = 'Short review of "App Accomplished"'
    date = '2015-03-08'
    image = web.template.path_image + 'thumbs/appaccomplished.jpg'

    def create_content(self):
        web.link.create(
            'App Accomplished', 
            web.images.create(
                self.image,
                title='App Accomplished'
            ).render(),
            'http://www.amazon.com/App-Accomplished-Strategies-Development-Success/dp/0321961781/ref=sr_1_1?s=books&ie=UTF8&qid=1420814440&sr=1-1&keywords=app+accomplished+strategies+for+app+development+success')
        web.page.section(
            web.div.create(
                web.link.render()
            ).set_classes('sources').render()
        )

        web.div.create(
            web.paragraph.create(
                """I found this book to be well written and it explains the life cycle of modern application development very well. 
                If you are a developer who has worked in any decent software houses you will likely find the information
                in this book very familiar and not of interest.""").render()
        ).append(
            web.paragraph.create(
                """This book does cover, in detail, the process of working with a client and developing an application based on the client's 
                requirements in addition to how to go about designing, testing and reporting bugs in the process. It also includes some amusing 
                stories on how not to do things and failed projects the developer has walked into.""").render()
        ).append(
            web.paragraph.create(
                """I was anticipating a lot more information about the actual release process. As a developer who has written 
                many web and desktop applications I was hoping for more information about the actual selling of apps and what 
                I need to know about any pitfalls or things you may need to be aware of.""").render()
        ).append(
            web.paragraph.create(
                """If you are a new or self-taught developer, or if you have no development experience and want to develop an application, 
                then this book is highly recommended and should help you avoid common mistakes.""").render()
        )
        web.page.section(web.div.render())

